# StageLogGetEventPerfLog

This function returns the EventPerfLog for the given stage.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetEventPerfLog(StageLog stageLog, int stage, EventPerfLog *eventLog)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| stage | - The stage

### Output Parameter

eventLog -The EventPerfLog

### Keywords

log, stage

### See Also

StageLogPush(), StageLogPop(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages